#ifdef AVP_USE_INPUT_SIMULATOR

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_INPUTSIMULATOR_PREDATOR_H__
#define __AVP_INPUTSIMULATOR_PREDATOR_H__

class AVP_InputSimulator_Behaviour;

class AVP_InputSimulator_Predator
{
	public:
		static void Initialise();
		static void Shutdown();
		static void Update( u_char* ucCurrentInput, float* pfAxisValue );

	private:
		static AVP_InputSimulator_Behaviour* m_xRootBehaviour;
};

#endif // __AVP_INPUTSIMULATOR_PREDATOR_H__

#endif // AVP_USE_INPUT_SIMULATOR
